# @orbit-ui/react-components

This package is a bundle of all the Sharegate Orbit React components.

Individual packages are available in the [components](/components) directory.

## Maintainers

The following documentation is only for the maintainers of this repository.

## Add a new component

Adding a new component package involve a few additional steps to the [Add a new packages to the monorepo](https://github.com/gsoft-inc/sg-brand#add-a-new-packages-to-the-monorepo) procedure. 

### @orbit-ui/react-components

The package must be available through the *@orbit-ui/react-components* npm package.

To do so:

1. Add a dependency to the new npm package in the [package.json](/package.json) file of the *react-components* package. The dependency must match the current version of the new package, otherwise Yarn workspace will fail to create the symlink.

2. Add an export to the [index.js](/src/index.js) file of the *react-components* package.

### Tests

Add specs storybook stories

### Documentation

Add the packages to the documentation

## Storybook

The components are available with Storybook. Storybook configuration can be found in the `.storybook` folder.

Note that we use a .babelrc config file because storybook doesn't currently support .babelrc.js or babel.config.js file.

You can add a new story for a component adding it in is respective `stories` folder.

### Write a new story

https://blog.hichroma.com/the-delightful-storybook-workflow-b322b76fd07

- Every story must correspond to a test specification.
- Always have a default story that expose the relevant properties of the component as knobs

Of course we can always reproduce this problem by entering the same input into the knobs, but it's better to write a fixed story for this input. This will increase your regression testing and clearly outline the limits of the component(s) to the rest of your team.

Storybook is a fantastic tool for visual regression testing because every story is essentially a test specification.

## Chromatic

https://www.chromaticqa.com/

## Babel

The components are transpiled to ES5 compatible code using babel, you can find the babel configuration in `build/babel.config.js`.

Talk about babel runtime.



## Installation

You can install components from individual packages or with a global package that contains the whole components suit.

To install them individually:

```
npm install @orbit-ui/react-date-range-picker

...

import { DateRangePicker } from @orbit-ui/react-date-range-picker

```

To install all of them with a single package

```
npm install @orbit-ui/react-components

...

import { DateRangePicker } from @orbit-ui/react-components

```

## License

Copyright © 2019, Groupe Sharegate inc. This code is licensed under the Apache License, Version 2.0. You may obtain a copy of this license at https://github.com/gsoft-inc/gsoft-license/blob/master/LICENSE.

## TODO

- Sortir les keys dans "shared"




