import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import React from "react";
import { Button } from "semantic-ui-react";
import { PureComponent } from "react";
import { bool, func, object, string } from "prop-types";
import { isNil } from "lodash";
export class DateRangePickerButtons extends PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "handleClear", event => {
      const {
        onClear
      } = this.props;

      if (this.canClear()) {
        onClear(event);
      }
    });

    _defineProperty(this, "handleApply", event => {
      const {
        onApply
      } = this.props;

      if (this.canApply()) {
        onApply(event);
      }
    });
  }

  canClear() {
    const {
      startDate,
      endDate
    } = this.props;
    return !isNil(startDate) || !isNil(endDate);
  }

  canApply() {
    const {
      startDate,
      endDate,
      allowSingleDateSelection
    } = this.props;

    if (allowSingleDateSelection) {
      return true;
    }

    if (isNil(startDate) && isNil(endDate)) {
      return true;
    }

    if (!isNil(startDate) && !isNil(endDate)) {
      return true;
    }

    return false;
  }

  render() {
    const {
      clearText,
      applyText,
      className
    } = this.props;
    const defaultClasses = "flex justify-between ph6 pb6";
    const classes = isNil(className) ? defaultClasses : "".concat(defaultClasses, " ").concat(className);
    return React.createElement("div", {
      className: classes
    }, React.createElement(Button, {
      onClick: this.handleClear,
      className: !this.canClear() ? "ghost short disabled" : "ghost short"
    }, clearText), React.createElement(Button, {
      onClick: this.handleApply,
      className: !this.canApply() ? "ghost short disabled" : "primary ghost short"
    }, applyText));
  }

}