import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _JSXStyle from "styled-jsx/style";
import React from "react";
import { PRESET_SHAPE } from "./presets";
import { PureComponent } from "react";
import { arrayOf, bool, func, node, object, shape, string } from "prop-types";
import { isNil } from "lodash";
import { isSameDay } from "./utils";
import cx from "classnames";

class Preset extends PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "handleClick", event => {
      const {
        preset,
        onSelectPreset
      } = this.props;
      onSelectPreset(event, preset);
    });
  }

  render() {
    const {
      preset,
      isSelected
    } = this.props;
    return React.createElement("li", {
      className: "jsx-1407907578"
    }, React.createElement("button", {
      type: "button",
      onClick: this.handleClick,
      className: "jsx-1407907578" + " " + (cx("f7 marine-700 lh-solid pa2 mb2 outline-0 pointer hover-primary-500", {
        "primary-500": isSelected
      }) || "")
    }, preset.text), React.createElement(_JSXStyle, {
      id: "1407907578"
    }, "button.jsx-1407907578{background-color:transparent;border:none;}"));
  }

}

export class DateRangePickerPresets extends PureComponent {
  renderPresets() {
    const {
      startDate,
      endDate,
      onSelectPreset,
      presets
    } = this.props;
    return presets.map(x => {
      const isSelected = isSameDay(x.startDate, startDate) && isSameDay(x.endDate, endDate);
      return React.createElement(Preset, {
        key: x.text,
        preset: x,
        onSelectPreset: onSelectPreset,
        isSelected: isSelected
      });
    });
  }

  render() {
    const {
      presets,
      icon,
      className
    } = this.props;
    const defaultClasses = "presets flex flex-column pt8 ph8 br b--cloud-100";
    const classes = isNil(className) ? defaultClasses : "".concat(defaultClasses, " ").concat(className);

    if (presets.length > 0) {
      return React.createElement("div", {
        className: "jsx-896343753" + " " + (classes || "")
      }, React.createElement("div", {
        className: "jsx-896343753" + " " + "self-center mb8"
      }, icon), React.createElement("ul", {
        className: "jsx-896343753"
      }, this.renderPresets()), React.createElement(_JSXStyle, {
        id: "896343753"
      }, "ul.jsx-896343753{padding:0;margin:0;list-style-type:none;}.presets.jsx-896343753{min-width:200px;}"));
    }

    return null;
  }

}